# Markers properties

Source: `R/apex-utils.R`
`ax_markers.Rd`

Markers properties

    ax_markers(
      ax,
      size = NULL,
      colors = NULL,
      strokeColor = NULL,
      strokeWidth = NULL,
      strokeOpacity = NULL,
      fillOpacity = NULL,
      shape = NULL,
      radius = NULL,
      offsetX = NULL,
      offsetY = NULL,
      hover = NULL,
      ...
    )

## Arguments

ax | A `apexcharts` `htmlwidget` object.
size | Numeric. Size of the marker point.
colors | Sets the fill color(s) of the marker point.
strokeColor | Stroke Color of the marker.
strokeWidth | Stroke Size of the marker.
strokeOpacity | Opacity of the border around marker.
fillOpacity | Opacity of the marker fill color.
shape | Shape of the marker. Available Options for shape: `"square"` or `"circle"`.
radius | Numeric. Radius of the marker (applies to square shape)
offsetX | Numeric. Sets the left offset of the marker.
offsetY | Numeric. Sets the top offset of the marker.
hover | List with item `size` (Size of the marker when it is active).
... | Additional parameters.

## Value

A `apexcharts` `htmlwidget` object.

## Note

See https://apexcharts.com/docs/options/markers/

## Examples

    data("economics", package = "ggplot2")

    # show points
    apex(
      data = tail(economics, 20),
      type = "line",
      mapping = aes(x = date, y = uempmed)
    ) %>%
      ax_markers(size = 6)